function T = static_resid_tt(T, y, x, params)
% function T = static_resid_tt(T, y, x, params)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%
% Output:
%   T         [#temp variables by 1]  double   vector of temporary terms
%

assert(length(T) >= 18);

T(1) = (1-params(15))/y(31);
T(2) = y(3)/y(15);
T(3) = y(13)^(-1);
T(4) = (1-params(15))/y(32);
T(5) = (y(4)/params(8))^params(8);
T(6) = (y(8)/(1-params(8)))^(1-params(8));
T(7) = y(5)^params(8);
T(8) = y(9)^(1-params(8));
T(9) = y(15)^params(6);
T(10) = y(15)^(params(6)-1);
T(11) = 1/params(4)*y(15)^params(10);
T(12) = (y(11)/(y(11)))^params(11);
T(13) = T(11)*T(12);
T(14) = T(13)^(1-params(17));
T(15) = y(3)^params(17);
T(16) = params(7)^(1-params(18));
T(17) = T(16)*(y(28)/(y(28)))^((1-params(18))*(-params(12)));
T(18) = y(20)^params(18);

end
